//
// Created by fluffymoo on 11.6.18.
//

#ifndef INC_4NEURO_NEURONBINARY_H
#define INC_4NEURO_NEURONBINARY_H

#include "Neuron.h"

/**
 *  Binary neuron class - uses unit-step as the activation function
 */
class NeuronBinary:Neuron {
private:

public:

    /**
     * Default constructor for the binary Neuron
     * @param[in] threshold Denotes when the neuron is activated
     * When neuron potential exceeds 'threshold' value it becomes excited
     */
    explicit NeuronBinary(double threshold = 0.0);

    /**
     * Performs the activation function and stores the result into the 'state' property
     */
    void activate( ) override;


};


#endif //INC_4NEURO_NEURONBINARY_H
